Bug 207995 - audio/dsbmixer: Failed for dsbmixer-0.2.5 in stage
Summary: audio/dsbmixer: Failed for dsbmixer-0.2.5 in stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-14 19:00 UTC by Marcel Kaiser
Modified: 2016-03-31 17:16 UTC (History)
1 user (show)

See Also:


Attachments
Patch for audio/dsbmixer/Makefile (495 bytes, patch)
2016-03-14 19:00 UTC, Marcel Kaiser
no flags Details | Diff
Patch to upgrade port from 0.2.5 to 0.2.6 (897 bytes, patch)
2016-03-14 22:30 UTC, Marcel Kaiser
rakuco: maintainer-approval+
Details | Diff
Poudriere build log (10.2R, i386, non-root) (32.77 KB, text/x-log)
2016-03-14 22:33 UTC, Marcel Kaiser
no flags Details
Poudriere build log (10.1R, i386, non-root) (32.84 KB, text/plain)
2016-03-14 22:52 UTC, Marcel Kaiser
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Marcel Kaiser 2016-03-14 19:45:34 UTC
It's also possible to upgrade to 0.2.6, and make the definitions of INSTALL_PROGRAM and INSTALL_DATA in the program's Makefile conditional (?=), instead of redefining them in the port's Makefile with MAKE_ARGS.
Comment 2 Marcel Kaiser 2016-03-14 22:30:51 UTC
Created attachment 168189 [details]
Patch to upgrade port from 0.2.5 to 0.2.6

In version 0.2.6 I removed the -g and -o flags from the INSTALL_PROGRAM and INSTALL_DATA commands.

Building the port as regular user is now working.
Comment 3 Marcel Kaiser 2016-03-14 22:33:42 UTC
Created attachment 168190 [details]
Poudriere build log (10.2R, i386, non-root)

Poudriere configured with BUILD_AS_NON_ROOT=yes
Comment 4 Marcel Kaiser 2016-03-14 22:52:58 UTC
Created attachment 168192 [details]
Poudriere build log (10.1R, i386, non-root)

Poudriere configured with BUILD_AS_NON_ROOT=yes
Comment 5 commit-hook freebsd_committer 2016-03-22 10:36:25 UTC
A commit references this bug:

Author: rakuco
Date: Tue Mar 22 10:36:17 UTC 2016
New revision: 411644
URL: https://svnweb.freebsd.org/changeset/ports/411644

Log:
  Update to 0.2.6.

  This update includes a fix for installing dsbmixer as a regular, non-root user.

  PR:		207995
  Submitted by:	Marcel Kaiser <mk@nic-nac-project.org> (maintainer)

Changes:
  head/audio/dsbmixer/Makefile
  head/audio/dsbmixer/distinfo
Comment 6 Raphael Kubo da Costa freebsd_committer 2016-03-22 10:37:36 UTC
Committed, thanks. Sorry that it took so long to land this.

Food for thought: have you considered using either autotools or CMake instead of rolling your own Makefile? It makes it more portable across different operating systems and avoids problems like this one.
Comment 7 Marcel Kaiser 2016-03-31 17:16:55 UTC
(In reply to Raphael Kubo da Costa from comment #6)

> Committed, thanks. Sorry that it took so long to land this. 

Thank you, no problem.

> Food for thought: have you considered using either autotools or CMake
> instead of rolling your own Makefile? It makes it more portable across
> different operating systems and avoids problems like this one.

I used autotools for projects that should be able to build and run on
different operating systems, but since my ports are FreeBSD specific and
not very complex, I avoid the pain.